 .386P
 .model FLAT
_DATA SEGMENT
fpenv dd 0, 0, 0, 0, 0, 0, 0, 0
_DATA ENDS
_TEXT SEGMENT
 public _StartMSRInterval
_StartMSRInterval:
 mov ecx,011h
 db 00Fh
 db 032h
 and eax,0FE3FFE3Fh
 db 00Fh
 db 030h
 mov eax,ds:dword ptr[4+esp]
 and eax,03Fh
 mov ecx,011h
 db 00Fh
 db 030h
 mov ecx,012h
 sub eax,eax
 sub edx,edx
 db 00Fh
 db 030h
 mov eax,ds:dword ptr[4+esp]
 and eax,03Fh
 sub edx,edx
 or eax,0C0h
 mov ecx,011h
 db 00Fh
 db 030h
 ret
 public _EndMSRInterval
_EndMSRInterval:
 mov ecx,012h
 db 00Fh
 db 032h
 ret
_TEXT ENDS
 END
